Bug 1164330 - [abrt] PackageKit: __strncasecmp_l_avx(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: __strncasecmp_l_avx(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19b5f64858063652713e3de4091...
: 1164490 1166808 1166974 1170881 1171398 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 16:55 UTC by aboguckiy
Modified: 2014-12-14 13:34 UTC (History)
28 users (show)

Fixed In Version: libhif-0.1.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-13 09:34:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (110.75 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: cgroup (200 bytes, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: core_backtrace (9.03 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: dso_list (6.95 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: environ (120 bytes, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: maps (32.75 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: open_fds (1.36 KB, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: proc_pid_status (907 bytes, text/plain)
2014-11-14 16:55 UTC, aboguckiy
no flags Details
File: var_log_messages (330 bytes, text/plain)
2014-11-14 16:56 UTC, aboguckiy
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-11-14 16:56 UTC, aboguckiy
no flags Details

Description aboguckiy 2014-11-14 16:55:43 UTC
Version-Release number of selected component:
PackageKit-1.0.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: __strncasecmp_l_avx
executable:     /usr/libexec/packagekitd
kernel:         3.17.2-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strncasecmp_l_avx at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
 #1 hif_source_is_local at hif-source.c:386
 #2 hif_repos_source_parse_id at hif-repos.c:359
 #3 hif_repos_source_parse at hif-repos.c:416
 #4 hif_repos_refresh at hif-repos.c:453
 #5 hif_repos_get_sources at hif-repos.c:505
 #6 hif_context_setup at hif-context.c:1231
 #7 pk_backend_initialize at pk-backend-hif.c:234
 #8 pk_backend_load at pk-backend.c:599
 #9 pk_engine_load_backend at pk-engine.c:935

Comment 1 aboguckiy 2014-11-14 16:55:47 UTC
Created attachment 957671 [details]
File: backtrace

Comment 2 aboguckiy 2014-11-14 16:55:48 UTC
Created attachment 957672 [details]
File: cgroup

Comment 3 aboguckiy 2014-11-14 16:55:50 UTC
Created attachment 957673 [details]
File: core_backtrace

Comment 4 aboguckiy 2014-11-14 16:55:51 UTC
Created attachment 957674 [details]
File: dso_list

Comment 5 aboguckiy 2014-11-14 16:55:53 UTC
Created attachment 957675 [details]
File: environ

Comment 6 aboguckiy 2014-11-14 16:55:54 UTC
Created attachment 957676 [details]
File: limits

Comment 7 aboguckiy 2014-11-14 16:55:56 UTC
Created attachment 957677 [details]
File: maps

Comment 8 aboguckiy 2014-11-14 16:55:57 UTC
Created attachment 957678 [details]
File: open_fds

Comment 9 aboguckiy 2014-11-14 16:55:58 UTC
Created attachment 957679 [details]
File: proc_pid_status

Comment 10 aboguckiy 2014-11-14 16:56:00 UTC
Created attachment 957680 [details]
File: var_log_messages

Comment 11 aboguckiy 2014-11-14 16:56:01 UTC
Created attachment 957681 [details]
File: exploitable

Comment 12 Richard Hughes 2014-11-17 13:49:41 UTC
Can you attach all your .repo files in /etc/yum.repos.d please. Thanks.

Comment 13 aboguckiy 2014-11-17 16:11:01 UTC
file:///etc/yum.repos.d/bumblebee-nonfree.repo
file:///etc/yum.repos.d/bumblebee.repo
file:///etc/yum.repos.d/fedora-updates-testing.repo
file:///etc/yum.repos.d/fedora-updates.repo
file:///etc/yum.repos.d/fedora.repo
file:///etc/yum.repos.d/google-chrome.repo
file:///etc/yum.repos.d/rpmfusion-free-rawhide.repo
file:///etc/yum.repos.d/rpmfusion-free-updates-testing.repo
file:///etc/yum.repos.d/rpmfusion-free-updates.repo
file:///etc/yum.repos.d/rpmfusion-free.repo
file:///etc/yum.repos.d/rpmfusion-nonfree-rawhide.repo
file:///etc/yum.repos.d/rpmfusion-nonfree-updates-testing.repo
file:///etc/yum.repos.d/rpmfusion-nonfree-updates.repo
file:///etc/yum.repos.d/rpmfusion-nonfree.repo
file:///etc/yum.repos.d/russianfedora-branding-rawhide.repo
file:///etc/yum.repos.d/russianfedora-branding-updates-testing.repo
file:///etc/yum.repos.d/russianfedora-branding-updates.repo
file:///etc/yum.repos.d/russianfedora-branding.repo
file:///etc/yum.repos.d/russianfedora-fixes-rawhide.repo
file:///etc/yum.repos.d/russianfedora-fixes-updates-testing.repo
file:///etc/yum.repos.d/russianfedora-fixes-updates.repo
file:///etc/yum.repos.d/russianfedora-fixes.repo
file:///etc/yum.repos.d/russianfedora-free-rawhide.repo
file:///etc/yum.repos.d/russianfedora-free-updates-testing.repo
file:///etc/yum.repos.d/russianfedora-free-updates.repo
file:///etc/yum.repos.d/russianfedora-free.repo
file:///etc/yum.repos.d/russianfedora-nonfree-rawhide.repo
file:///etc/yum.repos.d/russianfedora-nonfree-updates-testing.repo
file:///etc/yum.repos.d/russianfedora-nonfree-updates.repo
file:///etc/yum.repos.d/russianfedora-nonfree.repo

Comment 14 Sinan H 2014-11-19 19:20:03 UTC
in my case, the crash was caused by bumblebee repos (with s/20/21):
http://fedoraproject.org/wiki/Bumblebee

Comment 15 Mykola Dvornik 2014-11-25 10:22:11 UTC
(In reply to Sinan HALIYO from comment #14)
> in my case, the crash was caused by bumblebee repos (with s/20/21):
> http://fedoraproject.org/wiki/Bumblebee

In bumblebee\* .repo files the baseurl string is malformated, altough it is still parseble. In particular it has EOL character right after 'baseurl=' and then the URL is given on the following line preceded with the TAB character. 

So it looks more like glibc bug. 

Gary, could you please fix bumblebee\* .repo files to make glibc happy?

Comment 16 Gary Gatling 2014-11-25 21:25:05 UTC
Hi sorry, 

Ran out of time today so going to try to fix that first thing in the morning tomorrow. Will update this bugzilla when the rpms are in place.

Comment 17 Richard Hughes 2014-11-26 10:32:14 UTC
I've fixed this upstream. I'll roll a new update with this included today: https://github.com/hughsie/libhif/issues/11

Comment 18 Richard Hughes 2014-11-26 10:39:22 UTC
*** Bug 1166974 has been marked as a duplicate of this bug. ***

Comment 19 Richard Hughes 2014-11-26 10:42:11 UTC
*** Bug 1166808 has been marked as a duplicate of this bug. ***

Comment 20 Richard Hughes 2014-11-26 10:42:39 UTC
*** Bug 1164490 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2014-11-26 11:06:36 UTC
libhif-0.1.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libhif-0.1.6-2.fc21

Comment 22 Mykola Dvornik 2014-11-26 11:14:56 UTC
(In reply to Fedora Update System from comment #21)
> libhif-0.1.6-2.fc21 has been submitted as an update for Fedora 21.
> https://admin.fedoraproject.org/updates/libhif-0.1.6-2.fc21

solves the problem

Comment 23 Gary Gatling 2014-11-26 22:40:31 UTC
Ok. I think bumblebee\* .repo files should be fixed now. Thanks for heads up about the problem.

Comment 24 Fedora Update System 2014-11-27 19:29:24 UTC
Package libhif-0.1.6-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libhif-0.1.6-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15922/libhif-0.1.6-2.fc21
then log in and leave karma (feedback).

Comment 25 Rex Dieter 2014-12-11 18:11:13 UTC
*** Bug 1171398 has been marked as a duplicate of this bug. ***

Comment 26 Sudhir Khanger 2014-12-11 18:37:33 UTC
Packagekit.service no longer fails after updating libhif.

Comment 27 Sudhir Khanger 2014-12-11 18:40:08 UTC
*** Bug 1170881 has been marked as a duplicate of this bug. ***

Comment 28 Fedora Update System 2014-12-13 09:34:38 UTC
libhif-0.1.6-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.